Skip to content

Cloud Connect VPC Discovery.

POST
/api/sync-cloud-data/namespaces/system/discover_vpc
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/sync-cloud-data/namespaces/system/discover_vpc \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "cred": { "name": "example", "namespace": "example" }, "edge_site": { "name": "example", "namespace": "example" }, "provider": "AWS", "region": "example" }'

Returns all the vpcs for a specified cloud provider, region and cred. For AWS it returns all the vpcs which are not attached to any transit gateway in that region.

Examples of this operation.

Media typeapplication/json
DiscoverVPCRequest

Request body to discover vpcs for a given cloud provider, region and cred.

object
cred
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
edge_site
object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
provider
string
default: AWS
Allowed values: AWS AZURE GCP
region
Region

Region.

string
<= 1024 characters

A successful response.

Media typeapplication/json
DiscoverVPCResponse

VPC discovery response body for a cloud provider.

object
discovered_vpc
Discovered VPC x-displayName: "Discovered VPC" Discovered vpc

Discovered VPC.

Array<object>
DiscoverVPC Type

Discover VPC Type.

object
cred
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
provider
string
default: AWS
Allowed values: AWS AZURE GCP
region
Region

Region

string
<= 1024 characters
vpc_id
VPC ID

VPC ID

string
<= 1024 characters
vpc_name
VPC Name

VPC Name

string
<= 1024 characters
Example
{
"discovered_vpc": [
{
"provider": "AWS"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example